Bug 241062 - rpms in /tmp/cache/<repo>/packages consume memory
rpms in /tmp/cache/<repo>/packages consume memory
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Depends On:
  Show dependency treegraph
Reported: 2007-05-23 15:50 EDT by Orion Poplawski
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-21 14:05:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2007-05-23 15:50:55 EDT
Description of problem:

It appears that rpms left in /tmp/cache/<repo>/packages consume memory during
install.  Perhaps they can be deleted immediately after being installed?  I was
finally able to get a text mode install completed on a 320MB machine by
continually cleaning out those directories.
Comment 1 Jeremy Katz 2007-05-23 16:11:41 EDT
I'm sitting and watching an install now (http) and the packages are getting
removed after they're installed as they should be.  What install type were you
doing as this should be working afaik.
Comment 2 Orion Poplawski 2007-05-23 16:16:04 EDT
This doesn't happen with the main repo but with any added repos.  See also bug
Comment 3 Orion Poplawski 2007-05-23 17:14:03 EDT
It also does not happen when the main install source is url --url=http: , but it
does when the source is nfs.
Comment 4 Jeremy Katz 2007-09-21 14:05:01 EDT
This should be fixed up as of Fedora 8 Test2.  Brief description of what was
going on -- 
* in anaconda, we have the concept of an install method which is the base
repository location
* in the long past, we used to grab files using per-method functionality; with
the move to yum, we instead just grabbed generically
* but we still did a method-specific close/remove of the files after the package
was installed
* this meant if you were doing nfs, we didn't unlink the file as the unlink path
was only with url methods

Now, we've moved to use hte install method less for these things and instead
just determine if we need to delete or not based on the baseurl for the repo. 
So things will now have the right thing happen.

Note You need to log in before you can comment on or make changes to this bug.